org.richfaces.fragment.fileUpload

## Interface FileUploadItem

- All Superinterfaces:
    ListItem
  All Known Implementing Classes:
    RichFacesFileUpload.FileUploadItemImpl

      public interface FileUploadItem
      extends ListItem

  Author:
    Jiri Stefek

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.openqa.selenium.WebElement` | `getClearOrDeleteElement()` Clears/deletes the log of already uploaded/to be uploaded file from the list of the files of the already uploaded files/to be uploaded files.
    `String` | `getFilename()` Gets the name of the this file.
    `org.openqa.selenium.WebElement` | `getFilenameElement()`
    `String` | `getState()`
    `org.openqa.selenium.WebElement` | `getStateElement()`
    `boolean` | `isUploaded()` Finds out whether this item representing a file is already uploaded.
    `void` | `remove()`

    - ### Methods inherited from interface org.richfaces.fragment.list.ListItem

      `getRootElement, getText`

- - ### Method Detail

    - #### isUploaded

          boolean isUploaded()

      Finds out whether this item representing a file is already uploaded.
      Returns:
        `true` if this file item is already uploaded, `false` otherwise

    - #### getClearOrDeleteElement

          org.openqa.selenium.WebElement getClearOrDeleteElement()

      Clears/deletes the log of already uploaded/to be uploaded file from the list of the files of the already uploaded files/to be uploaded files.
      Returns:

    - #### getFilename

          String getFilename()

      Gets the name of the this file.
      Returns:
        file name

    - #### getFilenameElement

          org.openqa.selenium.WebElement getFilenameElement()

    - #### getState

          String getState()

    - #### getStateElement

          org.openqa.selenium.WebElement getStateElement()

    - #### remove

          void remove()

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.